Subject: Normative literal files...

From: Donald Eastlake <[email-masked]>
Date: Mon, 14 Sep 1998 00:46:08 -0400

Hi,

I am posting this on behalf of the IETF TRADE working group.

At its recent meeting in Reston, Virginia, questions arose in the WG as to how
to best handle the XML DTD that is part of the Internet Open Trading Protocol
specification.  The WG charter calls for intially publishing IOTP V1.0 as
Informational and developing a V2.0 aimed at Proposed Standard but that
distinction is not important to this question.

Since RFCs are the only authoritative protocol publication of the IETF, such
items as DTDs, C source code, MIBs, etc, must all be shoehorned into such a
paginated format, currently in ASCII (and in some cases PostScript).  But
manysuch literal descriptive "files" commonly exceed a page and it would be
desireable to have their exact content accessible for machine processing.  I
know that this topic has been raised before and the general decision was to
muddle along with the understanding that people will attack the ASCII version
of the RFC with a text editor and hopefully extract a good copy.  Is this still
the case or should their be some way of associating normative literal files
with an RFC, possibly by some standardized machine processable means of embedd
ing them in the RFC or linking them to it, so the exact machine processable
file (and possibly a checksum) can be mechanically accessed?

Possibilities for embedding include MIME or other special formating so that,
for example, there would be a standard RFC822/MIME prefix you could prepend to
an RFC text and MIME processing of the result would exhibit the literal files
or other standardized special processing would extract them.  Or there could be
permission to include relative URLs pointing to files via the RFC directory,
presumably with file names constrained to start with RFCnnnn for files
associated with RFCnnnn or the like.

Any thoughts?
Donald

Donald E. Eastlake, 3rd
318 Acton Street, Carlisle, MA 01741 USA
Internet: [email-masked]
Notes: Donald Eastlake/Hawthorne/IBM@IBMUS
1-978-287-4877, fax 1-978-371-7148
-----------------------------------------------------------------------
Message addressed to: [email-masked]
Archive available at: http://www.elistx.com/archives/ietf-trade/
To (un)subscribe send a message with "subscribe" or "unsubscribe" in the
body to: [email-masked]

---

From: Surendra Reddy <[email-masked]>
Date: Mon, 14 Sep 1998 07:31:57 -0700

How about registering IOTP namespace with IANA?

Surendra

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Donald Eastlake
> Sent: Sunday, September 13, 1998 9:46 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Normative literal files...
>
>
> Hi,
>
> specification.The WG charter calls for intially publishing IOTP V1.0 as
> Since RFCs are the only authoritative protocol publication ofthe
> IETF, such
> for example, there would be a standard RFC822/MIME prefix you
> could prepend
> to
> or other standardized special processing would extract them.  Or
> there could
> be
> Archive available at:http://www.elistx.com/archives/ietf-trade/

---

From: "Donald E. Eastlake 3rd" <[email-masked]>
Date: Mon, 14 Sep 1998 14:44:02 -0400

Hi Surendra,

I've dropped the poised mailing list from the cc's because I don't
quite see what it has to do with namespaces (and I don't quite see
what namespaces have to do with my original message).  Are you talking
about registering an iotp XML namespace?  Registering the IOTP
APPLICATION/IOTP type?  or just what?

Thanks,
Donlad

From:  Surendra Reddy <[email-masked]>
To:  Donald Eastlake <[email-masked]>, [email-masked]
Cc:  [email-masked]
Date:  Mon, 14 Sep 1998 07:31:57 -0700
Message-ID:  <[email-masked]>

---

From: Surendra Reddy <[email-masked]>
Date: Mon, 14 Sep 1998 12:01:54 +0100

I meant registering an IOTP XML namespace.

surendra

> From: Donald E. Eastlake 3rd [mailto:[email-masked]]
> Sent: Monday, September 14, 1998 7:44 PM
> To: Surendra Reddy
> Subject: Namespace? (was Re: Normative literal files...)
>
>
> Hi Surendra,
>
> about registering aniotp XML namespace?  Registering the IOTP
> >> At its recent meeting in Reston, Virginia, questions arose in
> the WG as to
> >> how
> >> of the RFC with a text editor and hopefully extract a good
> copy.  Is this
> >> still